Download it now!
Bug 70841 - FILESAVE: export to Excel 2003 XML (aka XMLSS) format issues
Summary: FILESAVE: export to Excel 2003 XML (aka XMLSS) format issues
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.2.3 release
Hardware: x86-64 (AMD64) All
: low normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: MSO-XML2003
  Show dependency treegraph
 
Reported: 2013-10-24 13:50 UTC by dg
Modified: 2019-11-02 03:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example files for the bugreport (8.62 KB, application/x-zip-compressed)
2013-10-24 13:50 UTC, dg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description dg 2013-10-24 13:50:29 UTC
Created attachment 88082 [details]
example files for the bugreport

Problem description:

Export to MS Excel 2003 XML format (aka XMLSS) have following defects:
1. it writes tons on redundant data; see details below;
2. it does not format the XML with CRLF/indents; instead the output goes as two lines.

Please look at the attached files.
abc-msxlsx.xlsx is original file created in Excel Starter 2010.
abc-msxml.xml is file saved as XMLSS by Excel itself.
Now compare it with abc-msxlsx-librexml.xml, which is created by LibreOffice Calc by loading abc-msxlsx.xlsx and then saving in XMLSS. This abc-msxlsx-librexml.xml contains thousands of empty cells!
Note, if open abc-msxml.xml and save in Calc as XMLSS, then it does not have this redundancy: abc-msxml-librexml.xml
Operating System: Windows 7
Version: 4.1.2.3 release
Comment 1 Urmas 2013-10-25 05:50:31 UTC
Exporting Office XML files without line breaks is done intentionally to cause problems with Microsoft software to promote LO instead. Developers refuse to fix it.
Comment 2 dg 2013-10-25 06:27:46 UTC
(In reply to comment #1)
> Exporting Office XML files without line breaks is done intentionally to
> cause problems with Microsoft software to promote LO instead. Developers
> refuse to fix it.
kidding?
Comment 3 Urmas 2013-10-25 06:59:14 UTC
See #56943.
Comment 4 dg 2013-10-25 07:06:50 UTC
(In reply to comment #3)
> See #56943.

I see. Actually I didn't encounter with software that had parsing problems with such LO output, the only who suffers from it is myself, because it's difficult to read such documents in text editors. Remarkable that MS IE shows such XMLs in structured manner.
Comment 5 dg 2013-10-25 15:37:24 UTC
More deep analisys of the 1st problem shows that the problem might be in importing Excel xlsx files, not in exporting to XMLSS; or maybe in both. That's because if create a file in LO itself or import Excel's XMLSS, then export to XMLSS does not produce redundant empty cells.
Comment 6 mesrod 2013-12-14 17:27:04 UTC
Save .odt file as xml.  When try to open it get following:

        This XML file does not appear to have any style information associated with it. The document tree is shown below.
Comment 7 retired 2013-12-31 11:33:51 UTC
Can we have a situation update if this still behaves the same with LO 4.2.0.1?

http://www.libreoffice.org/download/pre-releases/

Should this be still reproducible for you with the latest LO release please set this bug back to UNCONFIRMED. Should this issue be solved set it to WORKSFORME.

Setting to NEEDINFO until more detail is provided.
Comment 8 Ruslan Fatakhov 2014-03-30 18:41:21 UTC
I confirm this behavior in 4.2.2.1
Comment 9 QA Administrators 2014-10-05 23:05:45 UTC Comment hidden (obsolete)
Comment 10 QA Administrators 2015-10-14 19:57:55 UTC Comment hidden (obsolete)
Comment 11 Buovjaga 2016-01-30 14:40:17 UTC
Still repro.

Win 7 Pro 64-bit Version: 5.2.0.0.alpha0+
Build ID: 9784ff3d878eaa21491fbd779e57d7d4710f5449
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-01-30_01:31:57
Locale: fi-FI (fi_FI)
Comment 12 QA Administrators 2017-03-06 14:40:17 UTC Comment hidden (obsolete)
Comment 13 Timur 2018-11-01 17:53:57 UTC Comment hidden (obsolete)
Comment 14 QA Administrators 2019-11-02 03:46:16 UTC
Dear dg,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug